# 📈COVID-19 Tracker 
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg?style=flat-square)](http://makeapullrequest.com) [![Twitter Follow](https://img.shields.io/twitter/follow/olu_tayormi?label=Follow&style=social)](https://twitter.com/olu_tayormi)

A simple Flutter app to track COVID-19 cases.
The data we provide is collected from [World Health Organization (WHO)](https://www.who.int/), the US [Centers for Disease Control and Prevention (CDC)](https://www.cdc.gov), the [Chinese Centre for Disease Control and Prevention (ECDC)](http://www.chinacdc.cn/en/), [China’s National Health Commission](http://en.nhc.gov.cn/), and Chinese website DXY which provides regional case estimates faster than the national level reporting organizations.

The [Nubentos API](https://store.nubentos.com/store/apis/info?name=API-nCoV2019&version=1.0.0n) was used to provide the data.
The [www.cdc.gov](https://www.cdc.gov) was used to provide the guides.

<!-- <a href="http://download1523.mediafire.com/47ofh2ic5wdg/tk77cflsp5alb6j/app-release.apk"><img src="https://playerzon.com/asset/download.png" width="200"></img></a> -->


## 💻 Requirements
* Any Operating System (i.e MacOS X, Linux, Windows)
* Any IDE with Flutter SDK installed (ie. IntelliJ, Android Studio, VSCode etc)
* A little knowledge of Dart and Flutter
* A brain to think 🤓🤓

## ✨ Features
- [x] See all cases statistics.
- [x] Read guides.

## 📸 Screenshots
<div style="background-color:rgb(169,169,169); text-align:center">
<img src="screenshots/homescreen.png" width="300" style="border-radius: 15px">
&nbsp;
<img src="screenshots/guidescreen.png" width="300" style="border-radius: 15px">
</div>

## 🔌 Plugins
| Name | Usage |
|:------:|:-------:|
|[**flutter_bloc**](https://pub.dev/packages/flutter_bloc)| State Management|
|[**DIO**](https://pub.dev/packages/dio)| Network calls|
|[**WebView**](https://pub.dev/packages/webview_flutter)| InApp WebView|


## 🤓 Author(s)
**Ajiboye Temitope Oluwatayomi** [![Twitter Follow](https://img.shields.io/twitter/follow/olu_tayormi?label=Follow&style=social)](https://twitter.com/olu_tayormi)



## 🔖 License
[Apache-2.0](https://github.com/tayormi/covid_tracker/blob/master/LICENSE)

***
> Feel free to star ⭐ this repository if you like what you see 😉.